Loading...
Searching...
No Matches
Opm::ThreadSafeMapBuilder< Map > Class Template Reference

## Public Types

using | Key = typename Map::key_type
using | Value = typename Map::mapped_type

## Public Member Functions

| ThreadSafeMapBuilder (Map &map, const int num_threads, const MapBuilderInsertionMode mode)
| Constructor for a given map and number of threads.
| ~ThreadSafeMapBuilder ()
| The destructor (optionally) assembles the final map.
template<class M>
void | insert_or_assign (const Key &key, M &&value)
| Insert a value into the map.
template<class... Args>
void | emplace (Args &&... args)
| Insert a value into the map.
void | finalize ()
| Assembles the final map.

The documentation for this class was generated from the following file:

- opm/common/utility/ThreadSafeMapBuilder.hpp